Staredit Network > Forums > SC1 Mapping Tools > Topic: SCMDraft 2 not working with SC:R's latest patch
SCMDraft 2 not working with SC:R's latest patch
Jul 10 2019, 2:44 am
By: BaggyT  

Jul 10 2019, 2:44 am BaggyT Post #1



Just today, the Battlenet app made me download an update for SC:R.
Now SCMDraft 2 won't start. It says "Please select the StarCraft directory".

I find the current directory. No luck.
Thankfully, I have an older version of the game (from the old CDs) installed on the computer. So I locate that directory. Still no luck.

Now I'm lost. Can anyone help?
Thanks.



"There is nothing enlightened about shrinking so that other people won't feel insecure around you." (Timo Cruz, Coach Carter)

Jul 10 2019, 3:32 am jjf28 Post #2

Cartography Artisan

Ensure SCMDraft is unblocked.

Otherwise what specific version of SCMDraft are you using? You could try the latest version or an older version like the one in the second post.



Rs_yes-im4real - Clan Aura - jjf28.net84.net

Reached the top of StarCraft theory crafting 2:12 AM CST, August 2nd, 2014.

Jul 10 2019, 12:14 pm BaggyT Post #3



I got it working. It seems that since the last SC update lots of people have had problems. SCMDraft has been updated a lot recently... the latest version works. It can be downloaded here:
http://www.stormcoast-fortress.net/Irregularies/#downloads



"There is nothing enlightened about shrinking so that other people won't feel insecure around you." (Timo Cruz, Coach Carter)

Jul 10 2019, 12:17 pm Suicidal Insanity Post #4

I see you !

The latest patch removed the MPQs scmdraft used to load the game data and switched to a new file format, which is why the old versions no longer work.

I tried to post links to the newest version which has support in various locations so it could quickly be found.




Jul 10 2019, 1:36 pm Cerorec Post #5



Aha thank you. RIP StarEdit.



None.

Jul 16 2019, 11:49 pm Cerorec Post #6



The Switch condition isn't working. In the trigger editor:
Code
Conditions:
    Switch("Switch1", Invalid switch state);


This new patch is messing so many things up.

Even trigger duplicator isn't working. Help?



None.

Jul 17 2019, 4:15 pm Cerorec Post #7



[...] which is why the old versions no longer work.

I tried using Scmdraft-0.9.01 2017.08.27 OfficialRelease version and it seems to work. Also tried Scmdraft 2 on 2017.06.13 and it works too. Run application, click OK, and takes you to editor, no "Please select the StarCraft directory" error. You can edit maps, save them, go into classic trigger and trigger editor. You can even start it when SC is running, edit map, and save it. These two 2017 versions I tried seems to work.



None.

Jul 17 2019, 4:20 pm Suicidal Insanity Post #8

I see you !

The old versions work if you still have the old datafiles somewhere. They will not work with a new 1.23 install.

The new version also still works with the old datafiles.




Jul 17 2019, 4:30 pm Cerorec Post #9



Quote from Cerorec
I tried using Scmdraft-0.9.01 2017.08.27 OfficialRelease version and it seems to work. Also tried Scmdraft 2 on 2017.06.13 and it works too. Run application, click OK, and takes you to editor, no "Please select the StarCraft directory" error. You can edit maps, save them, go into classic trigger and trigger editor. You can even start it when SC is running, edit map, and save it. These two 2017 versions I tried seems to work.

Hmm that's odd. Seems like all versions that I have works now, including the installer one (ScmDraft 2 Version 0.9.08 (Installer)). That's great!



None.

Jul 17 2019, 4:46 pm Cerorec Post #10



The latest patch removed the MPQs scmdraft used to load the game data and switched to a new file format, which is why the old versions no longer work.

I tried to post links to the newest version which has support in various locations so it could quickly be found.

Ah ok, I didn't see your post earlier. But still the Switch condition isn't working for the Scmdraft 2 2019.07.15 version.



None.

Jul 17 2019, 5:04 pm Cerorec Post #11



They will not work with a new 1.23 install.

Wait, what do you mean by this? Because I do have the latest patch installed, Version 1.23.0.6347. I mean, I had the same problem as BaggyT before, with the new 1.23 installed, but it seems now I don't have this problem anymore.



None.

Jul 17 2019, 5:34 pm Suicidal Insanity Post #12

I see you !

Will fix switches once I am home, assuming I can repro.




Options
  Back to forum
Please log in to reply to this topic or to report it.
Members in this topic: None.
[11:21 am]
UEDCommander -- That worker hardcode shit is annoying
[11:15 am]
UEDCommander -- I would like to point out that "successfully modded" and "done everything i want" are two big differences
[05:46 am]
O)FaRTy1billion[MM] -- 🥝
[04:47 am]
Pr0nogo -- kiwi
[04:46 am]
A_of-s_t -- I think Corbo made it a mango at one point
[04:46 am]
jjf28 -- what was it.. like... a peach originally?
[04:46 am]
A_of-s_t -- lol :aofst: forgot about that one
[04:45 am]
jjf28 -- :aofst:
[04:44 am]
A_of-s_t -- Sweet, thanks :)
[04:42 am]
Pr0nogo -- only a select few are done in scr due to its constraints
Please log in to shout.


Members Online: Roy, Pandut, C(a)HeK